> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/tracr-api/references/deprecated.md).

# Deprecated

## Get Diamonds

> This endpoint is deprecated. Please use the \`/v2/diamond/\` endpoint instead.

```json
{"openapi":"3.1.0","info":{"title":"Platform Application API","version":"1.34.0"},"servers":[{"description":"Live","url":"https://api.<id>.tracr.network"},{"description":"Sandbox","url":"https://api.<id>.uat.tracr.network"}],"paths":{"/diamonds/":{"get":{"deprecated":true,"description":"This endpoint is deprecated. Please use the `/v2/diamond/` endpoint instead.","operationId":"get_diamonds_diamonds__get","parameters":[{"description":"Lifecycle state of the diamond","in":"query","name":"lifecycle_state","required":false,"schema":{"default":["rough","polished"],"description":"Lifecycle state of the diamond","items":{"$ref":"#/components/schemas/LifecycleState"},"title":"Lifecycle State","type":"array"}},{"description":"Possession state of the diamond","in":"query","name":"possession_state","required":false,"schema":{"default":["held"],"description":"Possession state of the diamond","items":{"$ref":"#/components/schemas/PossessionState"},"title":"Possession State","type":"array"}},{"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.","in":"query","name":"participant_id","required":false,"schema":{"default":[],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.","items":{"type":"string"},"title":"Participant Id","type":"array"}},{"description":"Tracr Diamond ID","in":"query","name":"diamond_id","required":false,"schema":{"default":[],"description":"Tracr Diamond ID","items":{"type":"string"},"title":"Diamond Id","type":"array"}},{"description":"List archived diamonds","in":"query","name":"is_archived","required":false,"schema":{"default":false,"description":"List archived diamonds","title":"Is Archived","type":"boolean"}},{"in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"title":"Page","type":"integer"}},{"in":"query","name":"size","required":false,"schema":{"default":100,"maximum":1000,"minimum":1,"title":"Size","type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiamondsPaginator_DiamondV1_"}}},"description":"Successful Response"},"401":{"description":"Unauthorized:  The request has not been applied because it lacks valid authentication credentials for the target resource."},"403":{"description":"Forbidden:  The application does not have sufficient permissions for this operation."},"422":{"description":"Unprocessable Entity, request JSON body is not as per specification"},"500":{"description":"Internal Server Error. If this error persists please contact the Platform Admin team."}},"summary":"Get Diamonds","tags":["Deprecated"]}}},"components":{"schemas":{"LifecycleState":{"enum":["destroyed","polished","rough","split"],"title":"LifecycleState","type":"string"},"PossessionState":{"enum":["destroyed","held","known"],"title":"PossessionState","type":"string"},"DiamondsPaginator_DiamondV1_":{"properties":{"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL for the next page. Excluded from the response if there is no next page.","title":"Next"},"page":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the current page.","title":"Page"},"pages":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"The total number of pages.","title":"Pages"},"previous":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL for the previous page. Excluded from the response if there is no previous page.","title":"Previous"},"results":{"description":"The diamond data.","items":{"$ref":"#/components/schemas/DiamondV1"},"title":"Results","type":"array"},"total":{"description":"The total number of diamonds across all pages.","minimum":0,"title":"Total","type":"integer"}},"required":["page","results","total"],"title":"DiamondsPaginator[DiamondV1]","type":"object"},"DiamondV1":{"description":"A diamond as returned from V1 API endpoints.","properties":{"archived_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp indicating when this diamond was archived.</br>Tracr Class: entity_specific","title":"Archived At"},"assurance_level":{"$ref":"#/components/schemas/AssuranceLevel","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific"},"box_description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Box Description"},"box_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Identifier of the box/lot/shipment the diamond is registered against.</br>Tracr Class: entity_specific","title":"Box Id"},"current_stage":{"$ref":"#/components/schemas/CurrentStage","description":"Indicates whether the diamond is rough or polished.</br>Tracr Class: traceability"},"data_requests":{"description":"The data requests associated with this diamond.","items":{"$ref":"#/components/schemas/DiamondDataRequest"},"title":"Data Requests","type":"array"},"diamond_id":{"description":"The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.</br>Tracr Class: traceability","pattern":"^[a-z\\d]{20,98}$","title":"Diamond Id","type":"string"},"diamond_parent_id":{"anyOf":[{"pattern":"^[a-z\\d]{20,98}$","type":"string"},{"type":"null"}],"description":"Tracr ID of the diamond's parent.</br>Tracr Class: traceability","title":"Diamond Parent Id"},"entity_specific_tags":{"anyOf":[{"$ref":"#/components/schemas/EntitySpecificTags"},{"type":"null"}],"description":"Tracr Class: entity_specific"},"grading":{"anyOf":[{"items":{"$ref":"#/components/schemas/GradingDataView"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Grading"},"id":{"description":"Legacy identifier of the diamond, superseded by <code>diamond_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","format":"uuid","title":"Id","type":"string"},"is_current":{"description":"Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Is Current","type":"boolean"},"lifecycle_state":{"$ref":"#/components/schemas/LifecycleState","description":"Tracr Class: traceability"},"parent_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Legacy identifier of the diamond's parent, superseded by <code>diamond_parent_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Parent Id"},"participant_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.</br>Tracr Class: entity_specific","title":"Participant Id"},"participant_parent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ERP of the diamond's parent.</br>Tracr Class: entity_specific","title":"Participant Parent Id"},"participant_timestamp":{"description":"User supplied timestamp of when the diamond was last modified.</br>Tracr Class: entity_specific","format":"date-time","title":"Participant Timestamp","type":"string"},"polished":{"$ref":"#/components/schemas/DiamondV1Polished"},"polished_objective_verification_results":{"description":"Polished objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Polished Objective Verification Results","type":"array"},"possession_state":{"$ref":"#/components/schemas/PossessionState","description":"Tracr Class: supplementary"},"producer_uuid":{"description":"Tracr platform identifier of the producer that first registered this diamond.</br>Tracr Class: traceability","format":"uuid","title":"Producer Uuid","type":"string"},"provenance":{"$ref":"#/components/schemas/DiamondV1Provenance"},"rough":{"$ref":"#/components/schemas/DiamondV1Rough"},"rough_check":{"description":"Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.</br>Tracr Class: supplementary","title":"Rough Check","type":"boolean"},"rough_objective_verification_results":{"description":"Rough objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Rough Objective Verification Results","type":"array"},"schema_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Schema Version"},"sight_no":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight No"},"sight_year":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight Year"},"supplementary_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Tags"},"system_timestamp":{"description":"Tracr Class: entity_specific","format":"date-time","title":"System Timestamp","type":"string"},"three_d_plan_available":{"default":false,"description":"Indicates whether a 3D plan is available for the diamond.</br>Tracr Class: supplementary","title":"Three D Plan Available","type":"boolean"},"unlock_status":{"$ref":"#/components/schemas/DiamondUnlockStatus","description":"Tracr Class: supplementary"},"verification_description":{"default":"verified record","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Verification Description","type":"string"},"verification_status":{"$ref":"#/components/schemas/VerificationStatus","default":"Verified","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary"},"verification_status_modified_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Verification Status Modified At"},"version_id":{"description":"The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.</br>Tracr Class: traceability","title":"Version Id","type":"string"}},"required":["assurance_level","current_stage","diamond_id","entity_specific_tags","id","is_current","lifecycle_state","participant_timestamp","polished","provenance","possession_state","producer_uuid","rough","rough_check","polished_objective_verification_results","rough_objective_verification_results","system_timestamp","unlock_status","version_id"],"title":"DiamondV1","type":"object"},"AssuranceLevel":{"description":"Represents the assurance level for a diamond.","enum":["assured","declared"],"title":"AssuranceLevel","type":"string"},"CurrentStage":{"enum":["polished","rough"],"title":"CurrentStage","type":"string"},"DiamondDataRequest":{"description":"Represents data that has been requested for a diamond.","properties":{"created_at":{"format":"date-time","title":"Created At","type":"string"},"data_request_type":{"$ref":"#/components/schemas/DiamondDataRequestType"},"errors":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Errors"},"id":{"title":"Id","type":"string"},"status":{"$ref":"#/components/schemas/DiamondDataRequestStatus"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"}},"required":["id","status","data_request_type","created_at","updated_at"],"title":"DiamondDataRequest","type":"object"},"DiamondDataRequestType":{"enum":["three_d_plan"],"title":"DiamondDataRequestType","type":"string"},"DiamondDataRequestStatus":{"enum":["pending","success","error"],"title":"DiamondDataRequestStatus","type":"string"},"EntitySpecificTags":{"additionalProperties":true,"properties":{"dit_session_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dit Session Id"}},"title":"EntitySpecificTags","type":"object"},"GradingDataView":{"description":"Represents a single GradedMeasurement row for a diamond.","properties":{"carats":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Carats"},"clarity":{"anyOf":[{"$ref":"#/components/schemas/Clarity"},{"type":"null"}]},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"null"}]},"crown_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Angle"},"crown_height":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Height"},"culet_condition":{"anyOf":[{"$ref":"#/components/schemas/CuletCondition"},{"type":"null"}]},"culet_size":{"anyOf":[{"$ref":"#/components/schemas/CuletSize"},{"type":"null"}]},"cut_grade":{"anyOf":[{"$ref":"#/components/schemas/CutGrade"},{"type":"null"}]},"depth":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth"},"depth_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Minimum"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}]},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}]},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}]},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}]},"girdle_condition":{"anyOf":[{"$ref":"#/components/schemas/GirdleCondition"},{"type":"null"}]},"girdle_thickness_from":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"girdle_thickness_to":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"graded_date":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"title":"Graded Date"},"grader_certificate_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Certificate Number"},"grader_clarity_characteristics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Clarity Characteristics"},"grader_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Colour"},"grader_inscription_numbers":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Grader Inscription Numbers"},"grader_report_comments":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Comments"},"grader_report_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Number"},"grader_report_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Type"},"grader_shape":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Shape"},"grading_certificate_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Description"},"grading_certificate_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Filename"},"grading_certificate_hash":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Hash"},"grading_lab":{"anyOf":[{"$ref":"#/components/schemas/GradingLab"},{"type":"null"}]},"id":{"title":"Id","type":"string"},"is_active":{"title":"Is Active","type":"boolean"},"is_selectable":{"title":"Is Selectable","type":"boolean"},"length":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Length"},"measurement_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Measurement Text"},"pavillion_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"shape":{"anyOf":[{"$ref":"#/components/schemas/Shape"},{"type":"null"}]},"source":{"$ref":"#/components/schemas/GradedMeasurementSource"},"supplementary_files":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Supplementary Files"},"symmetry":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"table_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Table Percent"},"validation_level":{"anyOf":[{"$ref":"#/components/schemas/ValidationLevel"},{"type":"null"}]},"width":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Width"}},"required":["id","is_active","is_selectable","source"],"title":"GradingDataView","type":"object"},"Clarity":{"enum":["FL","IF","LC","VVS1","VVS2","VS1","VS2","SI1","SI2","SI3","I1","I2","I3","P1","P2","P3"],"title":"Clarity","type":"string"},"Colour":{"enum":["D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"],"title":"Colour","type":"string"},"CuletCondition":{"enum":["P","A","C"],"title":"CuletCondition","type":"string"},"CuletSize":{"enum":["EL","VL","L","SL","M","S","VS","N"],"title":"CuletSize","type":"string"},"CutGrade":{"enum":["I","EX","VG","G","F","P","NA"],"title":"CutGrade","type":"string"},"FancyColour":{"enum":["BK","B","BN","CH","CM","CG","GY","G","O","P","PL","R","V","Y","W","X"],"title":"FancyColour","type":"string"},"FancyColourIntensity":{"enum":["F","VL","L","FL","FC","FCD","I","FV","D"],"title":"FancyColourIntensity","type":"string"},"FluorescenceColour":{"enum":["B","W","Y","O","R","G","N"],"title":"FluorescenceColour","type":"string"},"FluorescenceIntensity":{"enum":["VS","S","M","F","SL","VSL","N"],"title":"FluorescenceIntensity","type":"string"},"GirdleCondition":{"enum":["P","F","B"],"title":"GirdleCondition","type":"string"},"GirdleThickness":{"enum":["Extremely Thick","Very Thick","Thick","Slightly Thick","Medium","Thin","Slightly Thin","Very Thin","Extremely Thin"],"title":"GirdleThickness","type":"string"},"GradingLab":{"description":"An Enum of grading lab values to be used when interacting with PCS-API.","enum":["AGS","CGL","DCLA","GCAL","GHI","GIA","GSI","HRD","IGI","IIDGR","IOD","NGTC","Other","PGS","RDC","RDR","SGL","VGR","SSEF"],"title":"GradingLab","type":"string"},"Symmetry":{"enum":["I","EX","VG-EX","VG","G-VG","G","F-G","F","P"],"title":"Symmetry","type":"string"},"Shape":{"description":"An enum of the possible values for the shape of a diamond.","enum":["Asscher","Baguette","Briolette","Bullets","Calf","Cushion","Cushion Modified Brilliant","Emerald","European Cut","Flanders","Half Moon","Heart","Hexagonal","Kite","Lozenge","Marquise","Octagonal","Old Miner","Oval","Pear","Pentagonal","Princess","Radiant","Rectangle","Rose","Round","Shield","Square","Square Emerald","Square Radiant","Star","Tapered Baguette","Tapered Bullet","Trapezoid","Triangle","Trilliant","Other"],"title":"Shape","type":"string"},"GradedMeasurementSource":{"description":"The source of graded measurement data.","enum":["gis","user"],"title":"GradedMeasurementSource","type":"string"},"ValidationLevel":{"enum":["validation","verification"],"title":"ValidationLevel","type":"string"},"DiamondV1Polished":{"description":"Polished attributes of a diamond as returned from the V1 API endpoints.","properties":{"carats":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Carats"},"clarity":{"anyOf":[{"$ref":"#/components/schemas/Clarity"},{"type":"null"}],"description":"Tracr Class: traceability"},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"null"}],"description":"Tracr Class: traceability"},"crown_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Crown Angle"},"crown_height":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Crown Height"},"culet_condition":{"anyOf":[{"$ref":"#/components/schemas/CuletCondition"},{"type":"null"}],"description":"Tracr Class: traceability"},"culet_size":{"anyOf":[{"$ref":"#/components/schemas/CuletSize"},{"type":"null"}],"description":"Tracr Class: traceability"},"cut_grade":{"anyOf":[{"$ref":"#/components/schemas/CutGrade"},{"type":"null"}],"description":"Tracr Class: traceability"},"depth":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Depth"},"depth_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Diameter Minimum"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_condition":{"anyOf":[{"$ref":"#/components/schemas/GirdleCondition"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_thickness_from":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_thickness_to":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}],"description":"Tracr Class: traceability"},"grading_certificates":{"anyOf":[{"items":{"$ref":"#/components/schemas/GradingCertificateRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Grading Certificates"},"images":{"anyOf":[{"items":{"$ref":"#/components/schemas/ImageRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Images"},"length":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Length"},"pavillion_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan":{"anyOf":[{"$ref":"#/components/schemas/ScanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/ScanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Scan Reports"},"shape":{"anyOf":[{"$ref":"#/components/schemas/Shape"},{"type":"null"}],"description":"Tracr Class: traceability"},"supplementary_files":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Files"},"symmetry":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}],"description":"Tracr Class: traceability"},"table_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Table Percent"},"videos":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Videos"},"width":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Width"}},"title":"DiamondV1Polished","type":"object"},"GradingCertificateRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"graded_date":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Date of grading in ISO8601 format","title":"Graded Date"},"grader_certificate_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading Certificate Number","title":"Grader Certificate No"},"grader_inscription_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Inscription number on diamond","title":"Grader Inscription No"},"grader_report_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading report number","title":"Grader Report No"},"grading_lab":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading lab that provides grading report","title":"Grading Lab"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"}},"required":["hash"],"title":"GradingCertificateRef","type":"object"},"ImageRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"image_type":{"$ref":"#/components/schemas/ImageType","default":"default","description":"Image type"}},"required":["hash"],"title":"ImageRef","type":"object"},"ImageType":{"enum":["default","3d","b2b","heart","arrow","aset_scope","plot","face_up","dark_field","ideal_scope","fluorescence","inclusion_map","diagram","other"],"title":"ImageType","type":"string"},"ScanRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"scan_device_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Manufacturer of the device eg. Sarine, Octonus","title":"Scan Device Manufacturer"},"scan_device_model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Model of the machine eg. Diaexpert, Galaxy, Helium Rough","title":"Scan Device Model"},"scan_software_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the software used to create the report","title":"Scan Software Name"},"scan_software_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Version of the software used to create the report","title":"Scan Software Version"}},"required":["hash"],"title":"ScanRef","type":"object"},"FileRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"}},"required":["hash"],"title":"FileRef","type":"object"},"ObjectiveVerificationData":{"properties":{"id":{"title":"Id","type":"string"},"source":{"$ref":"#/components/schemas/ObjectiveVerificationDataSource"},"status":{"$ref":"#/components/schemas/ObjectiveVerificationDataStatus"}},"required":["id","source","status"],"title":"ObjectiveVerificationData","type":"object"},"ObjectiveVerificationDataSource":{"enum":["diadna","diamondid","sarine","restricted"],"title":"ObjectiveVerificationDataSource","type":"string"},"ObjectiveVerificationDataStatus":{"enum":["in_progress","success","restricted"],"title":"ObjectiveVerificationDataStatus","type":"string"},"DiamondV1Provenance":{"additionalProperties":false,"description":"Provenance of a diamond as returned from the V1 API endpoints.\n<br>\n<br>\nAs of the 21st of May 2025 the diamond's provenance will be locked until the diamond is unlocked.\nSee the [provenance documentation](https://docs.tracr.com/docs/tracr-api/giigyxcp903fd-provenance) for more details.","properties":{"country_code":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The ISO 3166 alpha-2 Country code for the diamond.<br/>Tracr class: supplementary","nullable":true,"title":"Country Code"},"is_country_code_available":{"description":"Defines whether a country code will be available in the provenance data when the provenance is unlocked. This is available if the provenance is locked or unlocked.","title":"Is Country Code Available","type":"boolean"},"is_locked":{"default":false,"description":"Defines whether the diamond's provenance is visible or locked.","title":"Is Locked","type":"boolean"},"mine_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of mine<br/>Tracr class: traceability","nullable":true,"title":"Mine Name"},"provenance_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Provenance can be a ISO 3166 alpha-2 Country code, Country name, or an Entity name<br/>Tracr class: traceability","nullable":true,"title":"Provenance Name"},"provenance_type":{"anyOf":[{"pattern":"^(Country|Entity)$","type":"string"},{"type":"null"}],"description":"Define the type of data in the field 'provenance'<br/>Tracr class: traceability","nullable":true,"title":"Provenance Type"}},"required":["is_country_code_available"],"title":"DiamondV1Provenance","type":"object"},"DiamondV1Rough":{"description":"Rough attributes of a diamond as returned from the V1 API endpoints.","properties":{"carats":{"description":"Tracr Class: traceability","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Carats","type":"string"},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Colour"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"images":{"anyOf":[{"items":{"$ref":"#/components/schemas/ImageRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Images"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Model"},"plan":{"anyOf":[{"$ref":"#/components/schemas/PlanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"plan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/PlanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Plan Reports"},"quality":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Quality"},"scan":{"anyOf":[{"$ref":"#/components/schemas/ScanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/ScanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Scan Reports"},"stress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Stress"},"supplementary_files":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Files"},"videos":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Videos"}},"required":["carats"],"title":"DiamondV1Rough","type":"object"},"PlanRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"plan_software_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software company name","title":"Plan Software Manufacturer"},"plan_software_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software name","title":"Plan Software Name"},"plan_software_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software version","title":"Plan Software Version"},"scan_device_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Manufacturer of the device eg. Sarine, Octonus","title":"Scan Device Manufacturer"},"scan_device_model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Model of the machine eg. Diaexpert, Galaxy, Helium Rough","title":"Scan Device Model"}},"required":["hash"],"title":"PlanRef","type":"object"},"DiamondUnlockStatus":{"description":"Represents the unlock status of a diamond, as returned by the API.","enum":["locked","unlocked","not_eligible_for_unlock"],"title":"DiamondUnlockStatus","type":"string"},"VerificationStatus":{"description":"A representation of whether or not diamond verification succeed.\n\n- Pending: The request has not yet been processed by Diamond ID.\n- Verified: The diamond has successfully been verified by Diamond ID.\n- Invalid: A business logic error occurred, such as GIS attempting to verify\n  a diamond a second time when it was successfully verified before\n- Error: A validation error has occurred, such as missing diamond_parent_id,\n  missing features etc.\n- Unverifiable: A verification error occurred (such as the values were\n  outside tolerance) and appropriate feedback was returned.","enum":["Pending","Unverifiable","Verified","Duplicate","Invalid","Error"],"title":"VerificationStatus","type":"string"}}}}
```

## Update Polished Diamond

> This endpoint is deprecated. Please use the \`/v2/diamond/{id}/polished\` endpoint instead.

```json
{"openapi":"3.1.0","info":{"title":"Platform Application API","version":"1.34.0"},"servers":[{"description":"Live","url":"https://api.<id>.tracr.network"},{"description":"Sandbox","url":"https://api.<id>.uat.tracr.network"}],"paths":{"/diamonds/{id}/polished":{"patch":{"deprecated":true,"description":"This endpoint is deprecated. Please use the `/v2/diamond/{id}/polished` endpoint instead.","operationId":"update_polished_diamond_diamonds__id__polished_patch","parameters":[{"description":"The ID (UUID) of the diamond to update.","in":"path","name":"id","required":true,"schema":{"anyOf":[{"pattern":"^[a-z\\d]{20,98}$","type":"string"},{"format":"uuid","type":"string"}],"description":"The ID (UUID) of the diamond to update.","title":"Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePolished"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiamondV1"}}},"description":"Successful Response"},"401":{"description":"Unauthorized:  The request has not been applied because it lacks valid authentication credentials for the target resource."},"403":{"description":"Forbidden:  The application does not have sufficient permissions for this operation."},"404":{"description":"Diamond ID not found. A diamond, with the provided ID, does not exist."},"409":{"description":"Diamond is archived"},"412":{"description":"Precondition check failed:  The operation cannot be applied to the current state of the diamond."},"422":{"description":"Unprocessable Entity, request JSON body is not as per specification"},"500":{"description":"Internal Server Error. If this error persists please contact the Platform Admin team."}},"summary":"Update Polished Diamond","tags":["Deprecated"]}}},"components":{"schemas":{"UpdatePolished":{"additionalProperties":false,"properties":{"entity_specific_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Entity specific tags.<br/>Tracr class: entity_specific","nullable":true,"title":"Entity Specific Tags"},"participant_id":{"anyOf":[{"pattern":"^\\S(.*\\S)?$","type":"string"},{"type":"null"}],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID. This field must be unique within the box/shipment the diamond is registered against. Can be updated as long as the the diamond's <code>possession_state</code> is <code>held</code>.","title":"Participant Id"},"participant_timestamp":{"format":"date-time","title":"Participant Timestamp","type":"string"},"polished":{"$ref":"#/components/schemas/PolishedRW","default":{}},"supplementary_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Supplementary tags<br/>Tracr class: supplementary","nullable":true,"title":"Supplementary Tags"}},"required":["participant_timestamp"],"title":"UpdatePolished","type":"object"},"PolishedRW":{"additionalProperties":false,"description":"Data on the polished diamond","properties":{"carats":{"anyOf":[{"exclusiveMinimum":0,"type":"number"},{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"description":"Weight of the diamond in carats<br/>Tracr class: traceability","nullable":true,"title":"Carats"},"clarity":{"anyOf":[{"pattern":"^(FL|IF|LC|VVS1|VVS2|VS1|VS2|SI1|SI2|SI3|I1|I2|I3|P1|P2|P3)$","type":"string"},{"type":"null"}],"description":"Clarity of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Clarity"},"colour":{"anyOf":[{"pattern":"^(D|E|F|G|H|I|J|K|L|M|N|O|P|Q|R|S|T|U|V|W|X|Y|Z)$","type":"string"},{"type":"null"}],"description":"Colour of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Colour"},"crown_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Crown Angle<br/>Tracr class: traceability","nullable":true,"title":"Crown Angle"},"crown_height":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Crown Height<br/>Tracr class: traceability","nullable":true,"title":"Crown Height"},"culet_condition":{"anyOf":[{"pattern":"^(P|A|C)$","type":"string"},{"type":"null"}],"description":"Culet Condition<br/>Tracr class: traceability","nullable":true,"title":"Culet Condition"},"culet_size":{"anyOf":[{"pattern":"^(EL|VL|L|SL|M|S|VS|N)$","type":"string"},{"type":"null"}],"description":"Culet Size<br/>Tracr class: traceability","nullable":true,"title":"Culet Size"},"cut_grade":{"anyOf":[{"pattern":"^(I|EX|VG|G|F|P|NA)$","type":"string"},{"type":"null"}],"description":"Grade of Cut<br/>Tracr class: traceability","nullable":true,"title":"Cut Grade"},"depth":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"3rd dimension of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Depth"},"depth_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Depth percent<br/>Tracr class: traceability","nullable":true,"title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Diameter Maximum<br/>Tracr class: traceability","nullable":true,"title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Diameter Minimum<br/>Tracr class: traceability","nullable":true,"title":"Diameter Minimum"},"fancy_colour":{"anyOf":[{"pattern":"^(BK|B|BN|CH|CM|CG|GY|G|O|P|PL|R|V|Y|W|X)$","type":"string"},{"type":"null"}],"description":"Fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour"},"fancy_colour_intensity":{"anyOf":[{"pattern":"^(F|VL|L|FL|FC|FCD|I|FV|D)$","type":"string"},{"type":"null"}],"description":"Intensity of fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour Intensity"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Overtone of fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"pattern":"^(B|W|Y|O|R|G|N)$","type":"string"},{"type":"null"}],"description":"Fluorescence colour of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Fluorescence Colour"},"fluorescence_intensity":{"anyOf":[{"pattern":"^(VS|S|M|F|SL|VSL|N)$","type":"string"},{"type":"null"}],"description":"Fluorescence intensity of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Fluorescence Intensity"},"girdle_condition":{"anyOf":[{"pattern":"^(P|F|B)$","type":"string"},{"type":"null"}],"description":"Condition of girdle<br/>Tracr class: traceability","nullable":true,"title":"Girdle Condition"},"girdle_thickness_from":{"anyOf":[{"pattern":"(?i)^(Extremely Thick|Very Thick|Thick|Slightly Thick|Medium|Thin|Slightly Thin|Very Thin|Extremely Thin)$","type":"string"},{"type":"null"}],"description":"Smallest girdle thickness category<br/>Tracr class: traceability","nullable":true,"title":"Girdle Thickness From"},"girdle_thickness_to":{"anyOf":[{"pattern":"(?i)^(Extremely Thick|Very Thick|Thick|Slightly Thick|Medium|Thin|Slightly Thin|Very Thin|Extremely Thin)$","type":"string"},{"type":"null"}],"description":"Largest girdle thickness category<br/>Tracr class: traceability","nullable":true,"title":"Girdle Thickness To"},"length":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"First dimension of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Length"},"pavillion_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Pavillion Angle<br/>Tracr class: traceability","nullable":true,"title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Pavillion Percent<br/>Tracr class: traceability","nullable":true,"title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"pattern":"^(I|EX|VG-EX|VG|G-VG|G|F-G|F|P)$","type":"string"},{"type":"null"}],"description":"Quality of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Polish Quality"},"shape":{"anyOf":[{"pattern":"(?i)^(Asscher|Baguette|Briolette|Bullets|Calf|Cushion|Emerald|European Cut|Flanders|Half Moon|Heart|Hexagonal|Kite|Lozenge|Marquise|Octagonal|Old Miner|Oval|Pear|Pentagonal|Princess|Radiant|Rectangle|Rose|Round|Shield|Square|Square Emerald|Square Radiant|Star|Tapered Baguette|Tapered Bullet|Trapezoid|Triangle|Trilliant|Cushion Modified Brilliant|Other)$","type":"string"},{"type":"null"}],"description":"Shape of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Shape"},"symmetry":{"anyOf":[{"pattern":"^(I|EX|VG-EX|VG|G-VG|G|F-G|F|P)$","type":"string"},{"type":"null"}],"description":"Symmetry of the polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Symmetry"},"table_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Table percent<br/>Tracr class: traceability","nullable":true,"title":"Table Percent"},"width":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Second dimension of polished diamond<br/>Tracr class: traceability","nullable":true,"title":"Width"}},"title":"PolishedRW","type":"object"},"DiamondV1":{"description":"A diamond as returned from V1 API endpoints.","properties":{"archived_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp indicating when this diamond was archived.</br>Tracr Class: entity_specific","title":"Archived At"},"assurance_level":{"$ref":"#/components/schemas/AssuranceLevel","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific"},"box_description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Box Description"},"box_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Identifier of the box/lot/shipment the diamond is registered against.</br>Tracr Class: entity_specific","title":"Box Id"},"current_stage":{"$ref":"#/components/schemas/CurrentStage","description":"Indicates whether the diamond is rough or polished.</br>Tracr Class: traceability"},"data_requests":{"description":"The data requests associated with this diamond.","items":{"$ref":"#/components/schemas/DiamondDataRequest"},"title":"Data Requests","type":"array"},"diamond_id":{"description":"The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.</br>Tracr Class: traceability","pattern":"^[a-z\\d]{20,98}$","title":"Diamond Id","type":"string"},"diamond_parent_id":{"anyOf":[{"pattern":"^[a-z\\d]{20,98}$","type":"string"},{"type":"null"}],"description":"Tracr ID of the diamond's parent.</br>Tracr Class: traceability","title":"Diamond Parent Id"},"entity_specific_tags":{"anyOf":[{"$ref":"#/components/schemas/EntitySpecificTags"},{"type":"null"}],"description":"Tracr Class: entity_specific"},"grading":{"anyOf":[{"items":{"$ref":"#/components/schemas/GradingDataView"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Grading"},"id":{"description":"Legacy identifier of the diamond, superseded by <code>diamond_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","format":"uuid","title":"Id","type":"string"},"is_current":{"description":"Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Is Current","type":"boolean"},"lifecycle_state":{"$ref":"#/components/schemas/LifecycleState","description":"Tracr Class: traceability"},"parent_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Legacy identifier of the diamond's parent, superseded by <code>diamond_parent_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Parent Id"},"participant_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.</br>Tracr Class: entity_specific","title":"Participant Id"},"participant_parent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ERP of the diamond's parent.</br>Tracr Class: entity_specific","title":"Participant Parent Id"},"participant_timestamp":{"description":"User supplied timestamp of when the diamond was last modified.</br>Tracr Class: entity_specific","format":"date-time","title":"Participant Timestamp","type":"string"},"polished":{"$ref":"#/components/schemas/DiamondV1Polished"},"polished_objective_verification_results":{"description":"Polished objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Polished Objective Verification Results","type":"array"},"possession_state":{"$ref":"#/components/schemas/PossessionState","description":"Tracr Class: supplementary"},"producer_uuid":{"description":"Tracr platform identifier of the producer that first registered this diamond.</br>Tracr Class: traceability","format":"uuid","title":"Producer Uuid","type":"string"},"provenance":{"$ref":"#/components/schemas/DiamondV1Provenance"},"rough":{"$ref":"#/components/schemas/DiamondV1Rough"},"rough_check":{"description":"Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.</br>Tracr Class: supplementary","title":"Rough Check","type":"boolean"},"rough_objective_verification_results":{"description":"Rough objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Rough Objective Verification Results","type":"array"},"schema_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Schema Version"},"sight_no":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight No"},"sight_year":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight Year"},"supplementary_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Tags"},"system_timestamp":{"description":"Tracr Class: entity_specific","format":"date-time","title":"System Timestamp","type":"string"},"three_d_plan_available":{"default":false,"description":"Indicates whether a 3D plan is available for the diamond.</br>Tracr Class: supplementary","title":"Three D Plan Available","type":"boolean"},"unlock_status":{"$ref":"#/components/schemas/DiamondUnlockStatus","description":"Tracr Class: supplementary"},"verification_description":{"default":"verified record","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Verification Description","type":"string"},"verification_status":{"$ref":"#/components/schemas/VerificationStatus","default":"Verified","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary"},"verification_status_modified_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Verification Status Modified At"},"version_id":{"description":"The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.</br>Tracr Class: traceability","title":"Version Id","type":"string"}},"required":["assurance_level","current_stage","diamond_id","entity_specific_tags","id","is_current","lifecycle_state","participant_timestamp","polished","provenance","possession_state","producer_uuid","rough","rough_check","polished_objective_verification_results","rough_objective_verification_results","system_timestamp","unlock_status","version_id"],"title":"DiamondV1","type":"object"},"AssuranceLevel":{"description":"Represents the assurance level for a diamond.","enum":["assured","declared"],"title":"AssuranceLevel","type":"string"},"CurrentStage":{"enum":["polished","rough"],"title":"CurrentStage","type":"string"},"DiamondDataRequest":{"description":"Represents data that has been requested for a diamond.","properties":{"created_at":{"format":"date-time","title":"Created At","type":"string"},"data_request_type":{"$ref":"#/components/schemas/DiamondDataRequestType"},"errors":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Errors"},"id":{"title":"Id","type":"string"},"status":{"$ref":"#/components/schemas/DiamondDataRequestStatus"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"}},"required":["id","status","data_request_type","created_at","updated_at"],"title":"DiamondDataRequest","type":"object"},"DiamondDataRequestType":{"enum":["three_d_plan"],"title":"DiamondDataRequestType","type":"string"},"DiamondDataRequestStatus":{"enum":["pending","success","error"],"title":"DiamondDataRequestStatus","type":"string"},"EntitySpecificTags":{"additionalProperties":true,"properties":{"dit_session_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dit Session Id"}},"title":"EntitySpecificTags","type":"object"},"GradingDataView":{"description":"Represents a single GradedMeasurement row for a diamond.","properties":{"carats":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Carats"},"clarity":{"anyOf":[{"$ref":"#/components/schemas/Clarity"},{"type":"null"}]},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"null"}]},"crown_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Angle"},"crown_height":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Height"},"culet_condition":{"anyOf":[{"$ref":"#/components/schemas/CuletCondition"},{"type":"null"}]},"culet_size":{"anyOf":[{"$ref":"#/components/schemas/CuletSize"},{"type":"null"}]},"cut_grade":{"anyOf":[{"$ref":"#/components/schemas/CutGrade"},{"type":"null"}]},"depth":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth"},"depth_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Minimum"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}]},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}]},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}]},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}]},"girdle_condition":{"anyOf":[{"$ref":"#/components/schemas/GirdleCondition"},{"type":"null"}]},"girdle_thickness_from":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"girdle_thickness_to":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"graded_date":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"title":"Graded Date"},"grader_certificate_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Certificate Number"},"grader_clarity_characteristics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Clarity Characteristics"},"grader_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Colour"},"grader_inscription_numbers":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Grader Inscription Numbers"},"grader_report_comments":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Comments"},"grader_report_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Number"},"grader_report_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Type"},"grader_shape":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Shape"},"grading_certificate_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Description"},"grading_certificate_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Filename"},"grading_certificate_hash":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Hash"},"grading_lab":{"anyOf":[{"$ref":"#/components/schemas/GradingLab"},{"type":"null"}]},"id":{"title":"Id","type":"string"},"is_active":{"title":"Is Active","type":"boolean"},"is_selectable":{"title":"Is Selectable","type":"boolean"},"length":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Length"},"measurement_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Measurement Text"},"pavillion_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"shape":{"anyOf":[{"$ref":"#/components/schemas/Shape"},{"type":"null"}]},"source":{"$ref":"#/components/schemas/GradedMeasurementSource"},"supplementary_files":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Supplementary Files"},"symmetry":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"table_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Table Percent"},"validation_level":{"anyOf":[{"$ref":"#/components/schemas/ValidationLevel"},{"type":"null"}]},"width":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Width"}},"required":["id","is_active","is_selectable","source"],"title":"GradingDataView","type":"object"},"Clarity":{"enum":["FL","IF","LC","VVS1","VVS2","VS1","VS2","SI1","SI2","SI3","I1","I2","I3","P1","P2","P3"],"title":"Clarity","type":"string"},"Colour":{"enum":["D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"],"title":"Colour","type":"string"},"CuletCondition":{"enum":["P","A","C"],"title":"CuletCondition","type":"string"},"CuletSize":{"enum":["EL","VL","L","SL","M","S","VS","N"],"title":"CuletSize","type":"string"},"CutGrade":{"enum":["I","EX","VG","G","F","P","NA"],"title":"CutGrade","type":"string"},"FancyColour":{"enum":["BK","B","BN","CH","CM","CG","GY","G","O","P","PL","R","V","Y","W","X"],"title":"FancyColour","type":"string"},"FancyColourIntensity":{"enum":["F","VL","L","FL","FC","FCD","I","FV","D"],"title":"FancyColourIntensity","type":"string"},"FluorescenceColour":{"enum":["B","W","Y","O","R","G","N"],"title":"FluorescenceColour","type":"string"},"FluorescenceIntensity":{"enum":["VS","S","M","F","SL","VSL","N"],"title":"FluorescenceIntensity","type":"string"},"GirdleCondition":{"enum":["P","F","B"],"title":"GirdleCondition","type":"string"},"GirdleThickness":{"enum":["Extremely Thick","Very Thick","Thick","Slightly Thick","Medium","Thin","Slightly Thin","Very Thin","Extremely Thin"],"title":"GirdleThickness","type":"string"},"GradingLab":{"description":"An Enum of grading lab values to be used when interacting with PCS-API.","enum":["AGS","CGL","DCLA","GCAL","GHI","GIA","GSI","HRD","IGI","IIDGR","IOD","NGTC","Other","PGS","RDC","RDR","SGL","VGR","SSEF"],"title":"GradingLab","type":"string"},"Symmetry":{"enum":["I","EX","VG-EX","VG","G-VG","G","F-G","F","P"],"title":"Symmetry","type":"string"},"Shape":{"description":"An enum of the possible values for the shape of a diamond.","enum":["Asscher","Baguette","Briolette","Bullets","Calf","Cushion","Cushion Modified Brilliant","Emerald","European Cut","Flanders","Half Moon","Heart","Hexagonal","Kite","Lozenge","Marquise","Octagonal","Old Miner","Oval","Pear","Pentagonal","Princess","Radiant","Rectangle","Rose","Round","Shield","Square","Square Emerald","Square Radiant","Star","Tapered Baguette","Tapered Bullet","Trapezoid","Triangle","Trilliant","Other"],"title":"Shape","type":"string"},"GradedMeasurementSource":{"description":"The source of graded measurement data.","enum":["gis","user"],"title":"GradedMeasurementSource","type":"string"},"ValidationLevel":{"enum":["validation","verification"],"title":"ValidationLevel","type":"string"},"LifecycleState":{"enum":["destroyed","polished","rough","split"],"title":"LifecycleState","type":"string"},"DiamondV1Polished":{"description":"Polished attributes of a diamond as returned from the V1 API endpoints.","properties":{"carats":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Carats"},"clarity":{"anyOf":[{"$ref":"#/components/schemas/Clarity"},{"type":"null"}],"description":"Tracr Class: traceability"},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"null"}],"description":"Tracr Class: traceability"},"crown_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Crown Angle"},"crown_height":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Crown Height"},"culet_condition":{"anyOf":[{"$ref":"#/components/schemas/CuletCondition"},{"type":"null"}],"description":"Tracr Class: traceability"},"culet_size":{"anyOf":[{"$ref":"#/components/schemas/CuletSize"},{"type":"null"}],"description":"Tracr Class: traceability"},"cut_grade":{"anyOf":[{"$ref":"#/components/schemas/CutGrade"},{"type":"null"}],"description":"Tracr Class: traceability"},"depth":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Depth"},"depth_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Diameter Minimum"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_condition":{"anyOf":[{"$ref":"#/components/schemas/GirdleCondition"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_thickness_from":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}],"description":"Tracr Class: traceability"},"girdle_thickness_to":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}],"description":"Tracr Class: traceability"},"grading_certificates":{"anyOf":[{"items":{"$ref":"#/components/schemas/GradingCertificateRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Grading Certificates"},"images":{"anyOf":[{"items":{"$ref":"#/components/schemas/ImageRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Images"},"length":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Length"},"pavillion_angle":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan":{"anyOf":[{"$ref":"#/components/schemas/ScanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/ScanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Scan Reports"},"shape":{"anyOf":[{"$ref":"#/components/schemas/Shape"},{"type":"null"}],"description":"Tracr Class: traceability"},"supplementary_files":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Files"},"symmetry":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}],"description":"Tracr Class: traceability"},"table_percent":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Table Percent"},"videos":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Videos"},"width":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Width"}},"title":"DiamondV1Polished","type":"object"},"GradingCertificateRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"graded_date":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Date of grading in ISO8601 format","title":"Graded Date"},"grader_certificate_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading Certificate Number","title":"Grader Certificate No"},"grader_inscription_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Inscription number on diamond","title":"Grader Inscription No"},"grader_report_no":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading report number","title":"Grader Report No"},"grading_lab":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Grading lab that provides grading report","title":"Grading Lab"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"}},"required":["hash"],"title":"GradingCertificateRef","type":"object"},"ImageRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"image_type":{"$ref":"#/components/schemas/ImageType","default":"default","description":"Image type"}},"required":["hash"],"title":"ImageRef","type":"object"},"ImageType":{"enum":["default","3d","b2b","heart","arrow","aset_scope","plot","face_up","dark_field","ideal_scope","fluorescence","inclusion_map","diagram","other"],"title":"ImageType","type":"string"},"ScanRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"scan_device_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Manufacturer of the device eg. Sarine, Octonus","title":"Scan Device Manufacturer"},"scan_device_model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Model of the machine eg. Diaexpert, Galaxy, Helium Rough","title":"Scan Device Model"},"scan_software_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the software used to create the report","title":"Scan Software Name"},"scan_software_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Version of the software used to create the report","title":"Scan Software Version"}},"required":["hash"],"title":"ScanRef","type":"object"},"FileRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"}},"required":["hash"],"title":"FileRef","type":"object"},"ObjectiveVerificationData":{"properties":{"id":{"title":"Id","type":"string"},"source":{"$ref":"#/components/schemas/ObjectiveVerificationDataSource"},"status":{"$ref":"#/components/schemas/ObjectiveVerificationDataStatus"}},"required":["id","source","status"],"title":"ObjectiveVerificationData","type":"object"},"ObjectiveVerificationDataSource":{"enum":["diadna","diamondid","sarine","restricted"],"title":"ObjectiveVerificationDataSource","type":"string"},"ObjectiveVerificationDataStatus":{"enum":["in_progress","success","restricted"],"title":"ObjectiveVerificationDataStatus","type":"string"},"PossessionState":{"enum":["destroyed","held","known"],"title":"PossessionState","type":"string"},"DiamondV1Provenance":{"additionalProperties":false,"description":"Provenance of a diamond as returned from the V1 API endpoints.\n<br>\n<br>\nAs of the 21st of May 2025 the diamond's provenance will be locked until the diamond is unlocked.\nSee the [provenance documentation](https://docs.tracr.com/docs/tracr-api/giigyxcp903fd-provenance) for more details.","properties":{"country_code":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The ISO 3166 alpha-2 Country code for the diamond.<br/>Tracr class: supplementary","nullable":true,"title":"Country Code"},"is_country_code_available":{"description":"Defines whether a country code will be available in the provenance data when the provenance is unlocked. This is available if the provenance is locked or unlocked.","title":"Is Country Code Available","type":"boolean"},"is_locked":{"default":false,"description":"Defines whether the diamond's provenance is visible or locked.","title":"Is Locked","type":"boolean"},"mine_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of mine<br/>Tracr class: traceability","nullable":true,"title":"Mine Name"},"provenance_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Provenance can be a ISO 3166 alpha-2 Country code, Country name, or an Entity name<br/>Tracr class: traceability","nullable":true,"title":"Provenance Name"},"provenance_type":{"anyOf":[{"pattern":"^(Country|Entity)$","type":"string"},{"type":"null"}],"description":"Define the type of data in the field 'provenance'<br/>Tracr class: traceability","nullable":true,"title":"Provenance Type"}},"required":["is_country_code_available"],"title":"DiamondV1Provenance","type":"object"},"DiamondV1Rough":{"description":"Rough attributes of a diamond as returned from the V1 API endpoints.","properties":{"carats":{"description":"Tracr Class: traceability","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Carats","type":"string"},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Colour"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}],"description":"Tracr Class: traceability"},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}],"description":"Tracr Class: traceability"},"images":{"anyOf":[{"items":{"$ref":"#/components/schemas/ImageRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Images"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Model"},"plan":{"anyOf":[{"$ref":"#/components/schemas/PlanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"plan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/PlanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Plan Reports"},"quality":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Quality"},"scan":{"anyOf":[{"$ref":"#/components/schemas/ScanRef"},{"type":"null"}],"description":"Tracr Class: traceability"},"scan_reports":{"anyOf":[{"items":{"$ref":"#/components/schemas/ScanRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Scan Reports"},"stress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Stress"},"supplementary_files":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Files"},"videos":{"anyOf":[{"items":{"$ref":"#/components/schemas/FileRef"},"type":"array"},{"type":"null"}],"description":"Tracr Class: traceability","title":"Videos"}},"required":["carats"],"title":"DiamondV1Rough","type":"object"},"PlanRef":{"additionalProperties":false,"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the file","title":"Description"},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The original filename submitted for the file","title":"Filename"},"hash":{"description":"The cryptographic hash of the file stored in the platform","title":"Hash","type":"string"},"plan_software_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software company name","title":"Plan Software Manufacturer"},"plan_software_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software name","title":"Plan Software Name"},"plan_software_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Software version","title":"Plan Software Version"},"scan_device_manufacturer":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Manufacturer of the device eg. Sarine, Octonus","title":"Scan Device Manufacturer"},"scan_device_model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Model of the machine eg. Diaexpert, Galaxy, Helium Rough","title":"Scan Device Model"}},"required":["hash"],"title":"PlanRef","type":"object"},"DiamondUnlockStatus":{"description":"Represents the unlock status of a diamond, as returned by the API.","enum":["locked","unlocked","not_eligible_for_unlock"],"title":"DiamondUnlockStatus","type":"string"},"VerificationStatus":{"description":"A representation of whether or not diamond verification succeed.\n\n- Pending: The request has not yet been processed by Diamond ID.\n- Verified: The diamond has successfully been verified by Diamond ID.\n- Invalid: A business logic error occurred, such as GIS attempting to verify\n  a diamond a second time when it was successfully verified before\n- Error: A validation error has occurred, such as missing diamond_parent_id,\n  missing features etc.\n- Unverifiable: A verification error occurred (such as the values were\n  outside tolerance) and appropriate feedback was returned.","enum":["Pending","Unverifiable","Verified","Duplicate","Invalid","Error"],"title":"VerificationStatus","type":"string"}}}}
```

## Update Rough Diamond

> This endpoint is deprecated. Please use the \`/v2/diamond/{id}/rough\` endpoint instead.

```json
{"openapi":"3.1.0","info":{"title":"Platform Application API","version":"1.34.0"},"servers":[{"description":"Live","url":"https://api.<id>.tracr.network"},{"description":"Sandbox","url":"https://api.<id>.uat.tracr.network"}],"paths":{"/diamonds/{id}/rough":{"patch":{"deprecated":true,"description":"This endpoint is deprecated. Please use the `/v2/diamond/{id}/rough` endpoint instead.","operationId":"update_rough_diamond_diamonds__id__rough_patch","parameters":[{"description":"The ID (UUID) of the diamond to update.","in":"path","name":"id","required":true,"schema":{"anyOf":[{"pattern":"^[a-z\\d]{20,98}$","type":"string"},{"format":"uuid","type":"string"}],"description":"The ID (UUID) of the diamond to update.","title":"Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRough"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiamondV1"}}},"description":"Successful Response"},"401":{"description":"Unauthorized:  The request has not been applied because it lacks valid authentication credentials for the target resource."},"403":{"description":"Forbidden:  The application does not have sufficient permissions for this operation."},"404":{"description":"Diamond ID not found. A diamond, with the provided ID, does not exist."},"409":{"description":"Diamond is archived"},"412":{"description":"Precondition check failed:  The operation cannot be applied to the current state of the diamond."},"422":{"description":"Unprocessable Entity, request JSON body is not as per specification"},"500":{"description":"Internal Server Error. If this error persists please contact the Platform Admin team."}},"summary":"Update Rough Diamond","tags":["Deprecated"]}}},"components":{"schemas":{"UpdateRough":{"additionalProperties":false,"properties":{"box_description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Box description<br/>Tracr class: entity_specific","nullable":true,"title":"Box Description"},"box_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"System name and ID pairs identifying the source batch for the diamond.<br/>Tracr class: entity_specific","nullable":true,"title":"Box Id"},"entity_specific_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Entity specific tags.<br/>Tracr class: entity_specific","nullable":true,"title":"Entity Specific Tags"},"participant_id":{"anyOf":[{"pattern":"^\\S(.*\\S)?$","type":"string"},{"type":"null"}],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID. This field must be unique within the box/shipment the diamond is registered against. Can be updated as long as the the diamond's <code>possession_state</code> is <code>held</code>.","title":"Participant Id"},"participant_timestamp":{"format":"date-time","title":"Participant Timestamp","type":"string"},"rough":{"$ref":"#/components/schemas/RoughRW","default":{}},"sight_no":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Sight number<br/>Tracr class: entity_specific","nullable":true,"title":"Sight No"},"sight_year":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Sight year<br/>Tracr class: entity_specific","nullable":true,"title":"Sight Year"},"supplementary_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Supplementary tags<br/>Tracr class: supplementary","nullable":true,"title":"Supplementary Tags"}},"required":["participant_timestamp"],"title":"UpdateRough","type":"object"},"RoughRW":{"additionalProperties":false,"description":"Data on the rough diamond","properties":{"carats":{"anyOf":[{"exclusiveMinimum":0,"type":"number"},{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"description":"Weight of the diamond in carats<br/>Tracr class: traceability","nullable":true,"title":"Carats"},"colour":{"anyOf":[{"pattern":"^(D|E|F|G|H|I|J|K|L|M|N|O|P|Q|R|S|T|U|V|W|X|Y|Z)$","type":"string"},{"type":"null"}],"description":"Colour of rough diamond<br/>Tracr class: traceability","nullable":true,"title":"Colour"},"fancy_colour":{"anyOf":[{"pattern":"^(BK|B|BN|CH|CM|CG|GY|G|O|P|PL|R|V|Y|W|X)$","type":"string"},{"type":"null"}],"description":"Fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour"},"fancy_colour_intensity":{"anyOf":[{"pattern":"^(F|VL|L|FL|FC|FCD|I|FV|D)$","type":"string"},{"type":"null"}],"description":"Intensity of fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour Intensity"},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Overtone of fancy colour<br/>Tracr class: traceability","nullable":true,"title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"pattern":"^(B|W|Y|O|R|G|N)$","type":"string"},{"type":"null"}],"description":"Fluorescence colour of rough diamond<br/>Tracr class: traceability","nullable":true,"title":"Fluorescence Colour"},"fluorescence_intensity":{"anyOf":[{"pattern":"^(VS|S|M|F|SL|VSL|N)$","type":"string"},{"type":"null"}],"description":"Fluorescence intensity of rough diamond<br/>Tracr class: traceability","nullable":true,"title":"Fluorescence Intensity"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"<br/>Tracr class: traceability","nullable":true,"title":"Model"},"quality":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"<br/>Tracr class: traceability","nullable":true,"title":"Quality"},"stress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Stress description such as Tension, Light Stress etc.<br/>Tracr class: traceability","nullable":true,"title":"Stress"}},"title":"RoughRW","type":"object"},"DiamondV1":{"description":"A diamond as returned from V1 API endpoints.","properties":{"archived_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Timestamp indicating when this diamond was archived.</br>Tracr Class: entity_specific","title":"Archived At"},"assurance_level":{"$ref":"#/components/schemas/AssuranceLevel","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific"},"box_description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Box Description"},"box_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Identifier of the box/lot/shipment the diamond is registered against.</br>Tracr Class: entity_specific","title":"Box Id"},"current_stage":{"$ref":"#/components/schemas/CurrentStage","description":"Indicates whether the diamond is rough or polished.</br>Tracr Class: traceability"},"data_requests":{"description":"The data requests associated with this diamond.","items":{"$ref":"#/components/schemas/DiamondDataRequest"},"title":"Data Requests","type":"array"},"diamond_id":{"description":"The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.</br>Tracr Class: traceability","pattern":"^[a-z\\d]{20,98}$","title":"Diamond Id","type":"string"},"diamond_parent_id":{"anyOf":[{"pattern":"^[a-z\\d]{20,98}$","type":"string"},{"type":"null"}],"description":"Tracr ID of the diamond's parent.</br>Tracr Class: traceability","title":"Diamond Parent Id"},"entity_specific_tags":{"anyOf":[{"$ref":"#/components/schemas/EntitySpecificTags"},{"type":"null"}],"description":"Tracr Class: entity_specific"},"grading":{"anyOf":[{"items":{"$ref":"#/components/schemas/GradingDataView"},"type":"array"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Grading"},"id":{"description":"Legacy identifier of the diamond, superseded by <code>diamond_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","format":"uuid","title":"Id","type":"string"},"is_current":{"description":"Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Is Current","type":"boolean"},"lifecycle_state":{"$ref":"#/components/schemas/LifecycleState","description":"Tracr Class: traceability"},"parent_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Legacy identifier of the diamond's parent, superseded by <code>diamond_parent_id</code>. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Parent Id"},"participant_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.</br>Tracr Class: entity_specific","title":"Participant Id"},"participant_parent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ERP of the diamond's parent.</br>Tracr Class: entity_specific","title":"Participant Parent Id"},"participant_timestamp":{"description":"User supplied timestamp of when the diamond was last modified.</br>Tracr Class: entity_specific","format":"date-time","title":"Participant Timestamp","type":"string"},"polished":{"$ref":"#/components/schemas/DiamondV1Polished"},"polished_objective_verification_results":{"description":"Polished objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Polished Objective Verification Results","type":"array"},"possession_state":{"$ref":"#/components/schemas/PossessionState","description":"Tracr Class: supplementary"},"producer_uuid":{"description":"Tracr platform identifier of the producer that first registered this diamond.</br>Tracr Class: traceability","format":"uuid","title":"Producer Uuid","type":"string"},"provenance":{"$ref":"#/components/schemas/DiamondV1Provenance"},"rough":{"$ref":"#/components/schemas/DiamondV1Rough"},"rough_check":{"description":"Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.</br>Tracr Class: supplementary","title":"Rough Check","type":"boolean"},"rough_objective_verification_results":{"description":"Rough objective verification results for the diamond.</br>Tracr Class: supplementary","items":{"$ref":"#/components/schemas/ObjectiveVerificationData"},"title":"Rough Objective Verification Results","type":"array"},"schema_version":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Schema Version"},"sight_no":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight No"},"sight_year":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Tracr Class: entity_specific","title":"Sight Year"},"supplementary_tags":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Tracr Class: supplementary","title":"Supplementary Tags"},"system_timestamp":{"description":"Tracr Class: entity_specific","format":"date-time","title":"System Timestamp","type":"string"},"three_d_plan_available":{"default":false,"description":"Indicates whether a 3D plan is available for the diamond.</br>Tracr Class: supplementary","title":"Three D Plan Available","type":"boolean"},"unlock_status":{"$ref":"#/components/schemas/DiamondUnlockStatus","description":"Tracr Class: supplementary"},"verification_description":{"default":"verified record","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary","title":"Verification Description","type":"string"},"verification_status":{"$ref":"#/components/schemas/VerificationStatus","default":"Verified","description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: supplementary"},"verification_status_modified_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"This field is deprecated and will be removed in a future revision of the API.</br>Tracr Class: entity_specific","title":"Verification Status Modified At"},"version_id":{"description":"The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.</br>Tracr Class: traceability","title":"Version Id","type":"string"}},"required":["assurance_level","current_stage","diamond_id","entity_specific_tags","id","is_current","lifecycle_state","participant_timestamp","polished","provenance","possession_state","producer_uuid","rough","rough_check","polished_objective_verification_results","rough_objective_verification_results","system_timestamp","unlock_status","version_id"],"title":"DiamondV1","type":"object"},"AssuranceLevel":{"description":"Represents the assurance level for a diamond.","enum":["assured","declared"],"title":"AssuranceLevel","type":"string"},"CurrentStage":{"enum":["polished","rough"],"title":"CurrentStage","type":"string"},"DiamondDataRequest":{"description":"Represents data that has been requested for a diamond.","properties":{"created_at":{"format":"date-time","title":"Created At","type":"string"},"data_request_type":{"$ref":"#/components/schemas/DiamondDataRequestType"},"errors":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Errors"},"id":{"title":"Id","type":"string"},"status":{"$ref":"#/components/schemas/DiamondDataRequestStatus"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"}},"required":["id","status","data_request_type","created_at","updated_at"],"title":"DiamondDataRequest","type":"object"},"DiamondDataRequestType":{"enum":["three_d_plan"],"title":"DiamondDataRequestType","type":"string"},"DiamondDataRequestStatus":{"enum":["pending","success","error"],"title":"DiamondDataRequestStatus","type":"string"},"EntitySpecificTags":{"additionalProperties":true,"properties":{"dit_session_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dit Session Id"}},"title":"EntitySpecificTags","type":"object"},"GradingDataView":{"description":"Represents a single GradedMeasurement row for a diamond.","properties":{"carats":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Carats"},"clarity":{"anyOf":[{"$ref":"#/components/schemas/Clarity"},{"type":"null"}]},"colour":{"anyOf":[{"$ref":"#/components/schemas/Colour"},{"type":"null"}]},"crown_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Angle"},"crown_height":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Crown Height"},"culet_condition":{"anyOf":[{"$ref":"#/components/schemas/CuletCondition"},{"type":"null"}]},"culet_size":{"anyOf":[{"$ref":"#/components/schemas/CuletSize"},{"type":"null"}]},"cut_grade":{"anyOf":[{"$ref":"#/components/schemas/CutGrade"},{"type":"null"}]},"depth":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth"},"depth_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Depth Percent"},"diameter_maximum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Maximum"},"diameter_minimum":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Diameter Minimum"},"display_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Display Colour"},"fancy_colour":{"anyOf":[{"$ref":"#/components/schemas/FancyColour"},{"type":"null"}]},"fancy_colour_intensity":{"anyOf":[{"$ref":"#/components/schemas/FancyColourIntensity"},{"type":"null"}]},"fancy_colour_overtone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fancy Colour Overtone"},"fluorescence_colour":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceColour"},{"type":"null"}]},"fluorescence_intensity":{"anyOf":[{"$ref":"#/components/schemas/FluorescenceIntensity"},{"type":"null"}]},"girdle_condition":{"anyOf":[{"$ref":"#/components/schemas/GirdleCondition"},{"type":"null"}]},"girdle_thickness_from":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"girdle_thickness_to":{"anyOf":[{"$ref":"#/components/schemas/GirdleThickness"},{"type":"null"}]},"graded_date":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"title":"Graded Date"},"grader_certificate_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Certificate Number"},"grader_clarity_characteristics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Clarity Characteristics"},"grader_colour":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Colour"},"grader_inscription_numbers":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Grader Inscription Numbers"},"grader_report_comments":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Comments"},"grader_report_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Number"},"grader_report_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Report Type"},"grader_shape":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grader Shape"},"grading_certificate_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Description"},"grading_certificate_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Filename"},"grading_certificate_hash":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grading Certificate Hash"},"grading_lab":{"anyOf":[{"$ref":"#/components/schemas/GradingLab"},{"type":"null"}]},"id":{"title":"Id","type":"string"},"is_active":{"title":"Is Active","type":"boolean"},"is_selectable":{"title":"Is Selectable","type":"boolean"},"length":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Length"},"measurement_text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Measurement Text"},"pavillion_angle":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Angle"},"pavillion_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Pavillion Percent"},"polish_quality":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"shape":{"anyOf":[{"$ref":"#/components/schemas/Shape"},{"type":"null"}]},"source":{"$ref":"#/components/schemas/GradedMeasurementSource"},"supplementary_files":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Supplementary Files"},"symmetry":{"anyOf":[{"$ref":"#/components/schemas/Symmetry"},{"type":"null"}]},"table_percent":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Table Percent"},"validation_level":{"anyOf":[{"$ref":"#/components/schemas/ValidationLevel"},{"type":"null"}]},"width":{"anyOf":[{"pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","type":"string"},{"type":"null"}],"title":"Width"}},"required":["id","is_active","is_selectable","source"],"title":"GradingDataView","type":"object"},"Clarity":{"enum":["FL","IF","LC","VVS1","VVS2","VS1","VS2","SI1","SI2","SI3","I1","I2","I3","P1","P2","P3"],"title":"Clarity","type":"string"},"Colour":{"enum":["D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"],"title":"Colour","type":"string"},"CuletCondition":{"enum":["P","A","C"],"title":"CuletCondition","type":"string"},"CuletSize":{"enum":["EL","VL","L","SL","M","S","VS","N"],"title":"CuletSize","type":"string"},"CutGrade":{"enum":["I","EX","VG","G","F","P","NA"],"title":"CutGrade","type":"string"},"FancyColour":{"enum":["BK","B","BN","CH","CM","CG","GY","G","O","P","PL","R","V","Y","W","X"],"title":"FancyColour","type":"string"},"FancyColourIntensity":{"enum":["F","VL","L","FL","FC","FCD","I","FV","D"],"title":"FancyColourIntensity","type":"string"},"FluorescenceColour":{"enum":["B","W","Y","O","R","G","N"],"title":"FluorescenceColour","type":"string"},"FluorescenceIntensity":{"enum":["VS","S","M","F","SL","VSL","N"],"title":"FluorescenceIntensity","type":"string"},"GirdleCondition":{"enum":["P","F","B"],"title":"GirdleCondition","type":"string"},"GirdleThickness":{"enum":["Extremely Thick","Very Thick","Thick","Slightly Thick","Medium","Thin","Slightly Thin","Very Thin","Extremely Thin"],"title":"GirdleThickness","type":"string"},"GradingLab":{"description":"An Enum of grading lab values to be used when interacting with PCS-API.","enum":["AGS","CGL","DCLA","GCAL","GHI","GIA","GSI","HRD","IGI","IIDGR","IOD","NGTC","Other","PGS","RDC","RDR","SGL","VGR","SSEF"],"title":"GradingLab","type":"string"},"Symmetry":{"enum":["I","EX","VG-EX","VG","G-VG","G","F-G","F","P"],"title":"Symmetry","type":"string"},"Shape":{"description":"An enum of the possible values for the shape of a diamond.","enum":["Asscher","Baguette","Briolette","Bullets","Calf","Cushion","Cushion Modified Brilliant","Emerald","European Cut","Flanders","Half Moon","Heart","Hexagonal","Kite","Lozenge","Marquise","Octagonal","Old Miner","Oval","Pear","Pentagonal","Princess","Radiant","Rectangle","Rose","Round","Shield","Square","Square Emerald","Square Radiant","Star","Tapered Baguette","Tapered Bullet","Trapezoid","Triangle","Trilliant","Other"],"title":"Shape","type":"string"},"GradedMeasurementSource":{"description":"The source of graded measurement data.","enum":["gis","user"],"title":"GradedMeasurementSource","type":"string"},"ValidationLevel":{"enum":["validation","verification"],"title":"ValidationLevel","type":"string"},"LifecycleState":{"enum":["destroyed","polished","rough","split"],"title":"Lifecycle
[...]
